<?php

namespace interfaces;

interface response_i
{
    public function response(bool $success, array $data, int $status = null): void;
    public function success(mixed $data, int $status = null): void;
    public function error(mixed $data, int $status = null): void;
    public function not_found(): void;
    public function matching_route_found(): void;
    public function method_not_allowed(): void;
    public function internal_server_error($error): void;
    public function add_data(string $key, mixed $value): void;
    public function add_debug(mixed $data): void;
}